## GtkCellRendererSpinner

GtkCellRendererSpinner — Renders a spinning animation in a cell

## Functions

GtkCellRenderer * | gtk_cell_renderer_spinner_new ()

## Properties

gboolean | active | Read / Write
guint | pulse | Read / Write
GtkIconSize | size | Read / Write

## Types and Values

struct | GtkCellRendererSpinner

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkCellRenderer
                    ╰── GtkCellRendererSpinner

## Includes

    #include <gtk/gtk.h>

## Description

GtkCellRendererSpinner renders a spinning animation in a cell, very similar to GtkSpinner. It can often be used as an alternative to a GtkCellRendererProgress for displaying indefinite activity, instead of actual progress.

To start the animation in a cell, set the “active” property to `TRUE` and increment the “pulse” property at regular intervals. The usual way to set the cell renderer properties for each cell is to bind them to columns in your tree model using e.g. `gtk_tree_view_column_add_attribute()`.

## Functions

### gtk_cell_renderer_spinner_new ()

    GtkCellRenderer *
    gtk_cell_renderer_spinner_new (void);

Returns a new cell renderer which will show a spinner to indicate activity.

#### Returns

a new GtkCellRenderer

Since: 2.20

## Types and Values

### struct GtkCellRendererSpinner

    struct GtkCellRendererSpinner;

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether the spinner is active (ie. shown) in the cell.

Flags: Read / Write

Default value: FALSE

### The `“pulse”` property

      “pulse”                    guint

Pulse of the spinner. Increment this value to draw the next frame of the spinner animation. Usually, you would update this value in a timeout.

The GtkSpinner widget draws one full cycle of the animation per second by default. You can learn about the number of frames used by the theme by looking at the “num-steps” style property and the duration of the cycle by looking at “cycle-duration”.

Flags: Read / Write

Default value: 0

Since: 2.20

### The `“size”` property

      “size”                     GtkIconSize

The GtkIconSize value that specifies the size of the rendered spinner.

Flags: Read / Write

Default value: GTK_ICON_SIZE_MENU

Since: 2.20

## See Also

GtkSpinner, GtkCellRendererProgress